﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FillingColumn
{
    /// <summary>
    /// Логика взаимодействия для EnterPINWindow.xaml
    /// </summary>
    public partial class EnterPINWindow : Window
    {
        public EnterPINWindow()
        {
            InitializeComponent();
        }

        private void BtnEnterPIN_Click(object sender, RoutedEventArgs e)
        {
            if (string.IsNullOrEmpty(TxtPIN.Text) || TxtPIN.Text.All(char.IsDigit) == false || TxtPIN.Text.Length != 4) 
            {
                MessageBox.Show("Не корректный ПИН", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            Helper.EnterPIN = TxtPIN.Text;
            this.Close();
        }
    }
}
