﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FillingColumn
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ManagerFrame.MainFrame = this.MainFrame;
            ManagerFrame.MainFrame.Navigate(new StartWorkPage());
            GenerateKeySession();
        }

        public void GenerateKeySession()
        {
            string Alf = "qwertyuiopasdfghjklzxcvbnm1234567890";
            string KeySession = "";
            Random random = new Random();
            for (int i = 0; i < 12; i++)
            {
                KeySession += Alf[random.Next(0, Alf.Length)];
            }
            Helper.KeySession = KeySession;
        }

        private void BtnBack_Click(object sender, RoutedEventArgs e)
        {
            ManagerFrame.MainFrame.GoBack();
        }

        private void MainFrame_ContentRendered(object sender, EventArgs e)
        {
            BtnBack.Visibility = ManagerFrame.MainFrame.CanGoBack ? Visibility.Visible : Visibility.Hidden;
        }
    }
}
