﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FillingColumn
{
    /// <summary>
    /// Логика взаимодействия для NoMoneyWindow.xaml
    /// </summary>
    public partial class NoMoneyWindow : Window
    {
        public NoMoneyWindow(decimal MissingAmount, bool CreditCardIsEnable, int AvailableAmountFuel)
        {
            InitializeComponent();
            Helper.TypeOfNoMoney = 0;
            TxtRefulingOnAll.Text = $"Заправить {AvailableAmountFuel} литров за накопленные баллы";
            BtnAddOnCreditCard.IsEnabled = CreditCardIsEnable;
            TxtAddOnCreditCard.Text = $"Добавить недостающую сумму {MissingAmount.ToString("F2")} рублей с помощью кредитной карты";
        }

        private void BtnPaymentOFCard_Click(object sender, RoutedEventArgs e)
        {
            Helper.TypeOfNoMoney = 1;
            this.Close();
        }

        private void BtnRefulingOnAll_Click(object sender, RoutedEventArgs e)
        {
            Helper.TypeOfNoMoney = 2;
            this.Close();
        }

        private void BtnAddOnCreditCard_Click(object sender, RoutedEventArgs e)
        {
            Helper.TypeOfNoMoney = 3;
            this.Close();
        }
    }
}
